Initiate a property inspection request. Returns a start URL to the inspection request page and optimal size.The embedded content will emit events through the `window.postMessage()` API:- `postMessage("inspection-request-complete", origin)` event when the user has submitted a new inspection request.- `postMessage("inspection-request-cancelled", origin)` event when the user has cancelled the request. This is equivalent to user closing the embedded content without finishing it.Parameters----------property_id : str The UUID of an existing Property. Cannot be on an archived revision.integration_instance_id : str The UUID of an installed Integration Instance supporting property inspection request.Returns-------success : bool True if successful, false if notmessages : list of str List of human-readable messages describing either error or success.data : dict :: { "start_url": str, "optimal_width_px": int, "optimal_height_px": int }
initiate_property_inspection › Request Body
property_id
string
integration_instance_id
string
initiate_property_inspection › Responses
200
success
boolean
message
string[]
data
object
update_inspection_dates
POST
/api/v2/inspections/update_inspection_dates
Update inspection dates for the specified property and make notes to the policy.
Code
Parameters----------next_inspection_date: str, optional The new next inspection date to set. Format: YYYY-MM-DDinspection_request_date: str, optional The new inspection request date to set. Format: YYYY-MM-DDproperty_id: str, optional The UUID of an existing Property. Cannot be on an archived revision. If property_id is provided, policy_number will be ignored.policy_number: str, optional (Deprecated) The policy number of an existing Policy. This takes effect when property_id is not provided. The update will ONLY be applied to the first property on the latest revision of the policy before today (open or committed).Returns-------success : bool True if completely successful, false if notmessages : list of str List of human-readable error messagesdata : dict A dictionary containing the following: { 'policy_id': str, 'risk_id': UUID, // ID of the property 'next_inspection_date': str, 'inspection_request_date': str }
Updates the property inspection request for the given integration instance, property, policy, and revision.Parameters----------integration_instance_id : str, requiredproperty_id : str, requiredpolicy_id : str, requiredrevision_id : str, requiredReturns-------success : bool True if successful, false if notmessages : list of str List of human-readable messagesdata : dict Confirmation data - empty for now, will be populated when API is fully implemented